Title: ZZ2 F5 Privacy & Crypto
Date: 2018-02-16 10:55
Category: <i class='fa fa-graduation-cap' aria-hidden='true'></i> &Eacute;tudiants
Tags: cours

[TOC]

## Plan du cours

### Privacy

  * [je n'ai rien à cacher](slides/privacy/jnarac.html)
  * [mots de passes](slides/privacy/passwords.html)
  * [tracking](slides/privacy/tracking.html)
  * [souveraineté](slides/privacy/sovereignty.html)
  * [tails](slides/privacy/tails.html)

### Crypto

  * [principes cryptographiques](slides/privacy/crypto.html)
  * [tls](slides/privacy/tls.html)
  * [pgp](slides/privacy/pgp.html)
  * [tls vs pgp](slides/privacy/TLSvsPGP.html)
  * [tor](slides/privacy/tor.html)
  * [bitcoin](slides/privacy/bitcoin.html)


## Evaluation

* Examen écrit en fin de session (/10)

## Environnement de TP

* N'importe quelle VMs fresh de type debian fonctionnera avec les commandes du support de cours

### déployer et configurer TLS  avec Apache

* ...

## Mini projet en binôme (/10)

* Donnez une manière de générer un [QR-code permettant d'importer directement une clé publique PGP avec OpenKeyChain](https://github.com/open-keychain/open-keychain/wiki/QR-Codes) (5 points)
  * listez les outils utilisés
  * détaillez les commandes à effectuer pour passer de la clé publique au QR-Code
  * détaillez comment vous avecz tester le contenu de votre QR-Code
  * joignez le QR-Code de votre clé PGP au message
* Publiez votre clé PGP sur https://pgp.mit.edu puis envoyez moi l'url de votre clé (1 point)
* Signez ma clé PGP isima https://fc.isima.fr/~mazenod/pages/pgp.html ou https://pgp.mit.edu/pks/lookup?op=vindex&search=0x408A4E510DCD0D14 et envoyez là moi en pièce jointe de votre message (2 points)
* Votre message devra être chiffré, signé et comporter votre clé publique en pièce jointe (2 points)

* Rendu le 26/03/2018 à 23h59 dernier délais

  * à [vincent.mazenod@isima.fr](mailto:vincent.mazenod@isima.fr)

    * ```[TP privacy crypto]``` dans le sujet du mail ... sinon je vous perds ;)

    * Tous les fichiers nommés en NOMETUDIANT1_NOMETUDIANT2_nomfichier.ext

## Evaluation du cours

Vous avez aimé ou vous avez détesté ce cours ... donnez moi votre avis et aidez moi à l'améliorer (en tout anonymat)

https://docs.google.com/forms/d/e/1FAIpQLSeiJQZRjRmiP2_oH30fx3_n7lLfdmEmGFgDqsdkvF-4IYsZRA/viewform
